# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name byteorder

Name:           ghc-%{pkg_name}
Version:        1.0.4
Release:        2%{?dist}
Summary:        Exposes the native endianness or byte ordering of the system

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
This package is for working with the native byte-ordering of
the system.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Jens Petersen <petersen@redhat.com> - 1.0.4-1
- update to 1.0.4

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 1.0.3-3
- update to new simplified Haskell Packaging Guidelines

* Thu Feb 07 2013 Ben Boeckel <mathstuf@gmail.com> - 1.0.3-2
- Initial import into Fedora

* Sat Jan 12 2013 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.3-1
- spec file generated by cabal-rpm-0.6.6
